﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;

namespace SfListViewSample 
{
    public class BandInfoRepository : INotifyPropertyChanged
    {
        #region Properties

        public ObservableCollection<Contacts> BandInfo { get; set; }
        public static BandInfoRepository Instance { get; set; }

        #endregion

        #region Constructor

        public BandInfoRepository()
        {

            Instance = this;
            BandInfo = new ObservableCollection<Contacts>();
            Random r = new Random();
            for (int i=0;i<BandNames.Count();i++)
            {
                var contact = new Contacts();
                contact.ContactName = BandNames[i];
                contact.ContactNumber = r.Next(720, 799).ToString() + " - " + r.Next(3010, 3999).ToString();
                contact.ContactColor = Color.FromRgb(r.Next(40, 255), r.Next(40, 255), r.Next(40, 255));
                contact.BandImage = ImageSource.FromResource("ListViewSample.Images.Image" + r.Next(0, 28) + ".png");
                contact.UserId = i;

                if (r.Next(1,3) == 1)
                {
                    contact.Group = "Group 1";
                }
                else
                {
                    contact.Group = "Group 2";
                }

                BandInfo.Add(contact);
            }
        }

        #endregion

        #region Fields

        public string[] BandNames = new string[] {
            "Kyle",
            "Gina",
            "Irene",
            "Katie",
            "Michael",
            "Oscar",
            "Ralph",
            "Torrey",
            "William",
            "Bill",
            "Daniel",
            "Frank",
            "Brenda",
            "Danielle",
            "Fiona",
            "Howard",
            "Jack",
            "Larry",
            "Holly",
            "Jennifer",
            "Liz",
            "Pete",
            "Steve",
            "Vince",
            "Zeke",
            "Aiden",
            "Jackson"    ,
            "Mason  "    ,
            "Liam   "    ,
            "Jacob  "    ,
            "Jayden "    ,
            "Ethan  "    ,
            "Noah   "    ,
            "Lucas  "    ,
            "Logan  "    ,
            "Caleb  "    ,
            "Caden  "    ,
            "Jack   "    ,
            "Ryan   "    ,
            "Connor "    ,
            "Michael"    ,
            "Elijah "    ,
            "Brayden"    ,
            "Benjamin"   ,
            "Nicholas"   ,
            "Alexander"  ,
            "William"    ,
            "Matthew"
        };

        #endregion

        #region Interface Member

        public event PropertyChangedEventHandler PropertyChanged;

        public void OnPropertyChanged(string name)
        {
            if (this.PropertyChanged != null)
                this.PropertyChanged(this, new PropertyChangedEventArgs(name));
        }

        #endregion
    }
}
